# ionCube Extension

{% hint style="warning" %}

### This package is for `magento-scripts` V1 only!

{% endhint %}

This package simplifies the installation of the ionCube extension in the CMA project using `magento-scripts` **V1**.

## Installation

1\. Install package.

```bash
npm i @scandipwa/magento-scripts-php-ioncube-extension@0.0.3

# with yarn

yarn add @scandipwa/magento-scripts-php-ioncube-extension@0.0.3
```

2\. Enable extension in `cma.js`

{% code title="cma.js" %}

```javascript
const ioncube = require('@scandipwa/magento-scripts-php-ioncube-extension');

/** @type {import('@scandipwa/magento-scripts').CMAConfiguration} */
module.exports = {
    magento: {
        // ... magento config
    },
    configuration: {
        php: {
            extensions: {
                ioncube // <- set extension here
            }
        }
    }
};
```

{% endcode %}

3\. Run `magento-scripts`

```bash
npm start

# with yarn

yarn start
```

4\. Confirm that extension is installed

```bash
npm run cli

> php -v
PHP 7.4.27 (cli) (built: Jan  7 2022 17:53:56) ( NTS )
Copyright (c) The PHP Group
Zend Engine v3.4.0, Copyright (c) Zend Technologies
    with the ionCube PHP Loader + ionCube24 v11.0.0, Copyright (c) 2002-2021, by ionCube Ltd.
```

## Demo

Demo setup available [here](https://github.com/scandipwa/create-magento-app/tree/master/sample-packages/magento-2.4.3-p1-ioncube)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.create-magento-app.com/v1/scripts-extensions/php-extensions/ioncube-extension.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
